import { select, scaleOrdinal, scaleSqrt } from 'd3';
import { colorLengend} from './colorLengend';
import { sizeLegend} from './sizeLegend';

const svg = select('svg');

const colorScale = scaleOrdinal()
  .domain(['apple', 'lemon', 'lime', 'oranges'])
  .range(['#c11d1d', '#eae600', 'green', 'orange']);

svg.append('g')
   .attr('transform',`translate(${100},${100})`)
  .call(colorLengend, {
    colorScale,
    circleRadius: 30,
    spacing:80,
    textOffset:50
    
  }); 

const sizeScale = scaleSqrt()
  .domain([0,10])
  .range([0,60]);
 
svg.append('g')
   .attr('transform',`translate(${600},${20})`)
  .call(sizeLegend, {
    sizeScale, 
    spacing:110,
    textOffset:10,
    numTicks:6 
  });
   
